Subject: Re: bug#12411: 24.2.50; No `make help' target?

From: Bastien <[email-masked]>
Date: Tue, 11 Sep 2012 22:34:36 +0200

Glenn Morris <[email-masked]> writes:

> Bastien wrote:
>
>> `make help' and `make targets' don't exist in last rev.
>
> In general, Emacs has the standard GNU Makefile targets:
>
>   http://www.gnu.org/prep/standards/html_node/Standard-Targets.html
>
> Your proposed two are not in that list.
> Could you say what you want them to do?

My bad, I thought the `help' target was a GNU standard.

`make help' would display a one-line help about the various
available targets:

# make all	
# make install	
# make TAGS	
# make clean  (or  make mostlyclean)
# make distclean
# make maintainer-clean
# make extraclean
# make bootstrap

(Taken from INSTALL, not from the actual Makefile.)

If I'm not confused, the last two targets are not in the 
GNU standards (`bootstrap' and `extraclean').  

Documenting `make extraclean' is not important IMO but 
documenting `make bootstrap' could be: there are often
questions on emacs-devel which are answered by "You need 
to `make bootstrap'."

I guess `make help' could give a better exposure to this
option?

-- 
 Bastien